---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/errors/21719#article
headline: "21719: Incompatible Messaging Service/A2P Use Cases"
url: https://www.twilio.com/docs/api/errors/21719
inLanguage: en
dateModified: 2026-10-27T13:08:36.000Z
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# 21719: Incompatible Messaging Service/A2P Use Cases

Log Type: APPLICATION

Log Level: ERROR

## Description

This error occurs when your request combines a Messaging Service `usecase` with a US A2P campaign use case that is not compatible with that Messaging Service. This can happen when you update a Messaging Service or when you create a new A2P campaign for an existing Messaging Service.

### Possible causes

* You updated the Messaging Service `usecase` to a value that is not compatible with the current A2P campaign attached to that Messaging Service.
* You created a new A2P campaign with a `usAppToPersonUsecase` value that is not available for the selected Messaging Service.
* You reused a Messaging Service that was configured for a different messaging scenario than the A2P campaign you are trying to register.

### Possible solutions

* Retrieve the compatible A2P campaign use cases for the Messaging Service before you create or update the campaign. Use `GET /Services/{MessagingServiceSid}/Compliance/Usa2p/Usecases` and submit one of the returned `code` values in `usAppToPersonUsecase`.
* Verify that the Messaging Service `usecase` matches the traffic you plan to send. Supported Messaging Service use cases include `notifications`, `marketing`, `verification`, `discussion`, `poll`, and `undeclared`.
* If the existing Messaging Service is meant for a different messaging intent, create a new Messaging Service with the correct `usecase` and register the A2P campaign against that new service.
* If you are registering the campaign in Console, select a Messaging Service that is compatible with the campaign you want to create, or create a new Messaging Service during onboarding.

#### Additional resources

* [Messaging Services](/docs/messaging/services)
* [A2P 10DLC Usecases subresource](/docs/messaging/api/usapptopersonusecase-resource)
* [Programmable Messaging and A2P 10DLC](/docs/messaging/compliance/a2p-10dlc)
* [Troubleshooting and rectifying Campaigns](/docs/messaging/compliance/a2p-10dlc/troubleshooting-a2p-brands/troubleshooting-and-rectifying-a2p-campaigns-1)
